gtksourceviewmm: gtksourceview::SourceCompletionProposal Class Reference

gtksourceviewmm 2.10.3

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
gtksourceview::SourceCompletionProposal Class Reference

Completion proposal object. More...

`#include <gtksourceviewmm/sourcecompletionproposal.h>`

Inheritance diagram for gtksourceview::SourceCompletionProposal:
[legend]

List of all members.

## Public Member Functions
GtkSourceCompletionProposal* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionProposal* | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_label () const
| Gets the label of a proposal.
Glib::ustring | get_markup () const
| Gets the label of a proposal with markup.
Glib::ustring | get_text () const
| Gets the text of a proposal.
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the icon of a proposal.
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the icon of a proposal.
Glib::ustring | get_info () const
| Gets extra information associated to the proposal.
void | changed ()
| Emits the "changed" signal on a proposal.
guint | hash () const
| Get the hash value of a proposal.
bool | equal (const Glib::RefPtr< const SourceCompletionProposal >& other) const
| Get whether two proposal objects are the same.
Glib::SignalProxy0< void > | signal_changed ()
| Emitted when the proposal has changed.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceCompletionProposal > | wrap (GtkSourceCompletionProposal* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Completion proposal object.

The proposal interface represents a completion item in the completion window. It provides information on how to display the completion item and what action should be taken when the completion item is activated.

Since gtksourceviewmm 2.10:

## Member Function Documentation

void gtksourceview::SourceCompletionProposal::changed | ( |  | ) |

Emits the "changed" signal on a proposal.

This should be called by implementations whenever the name, icon or info of the proposal has changed.

Since gtksourceviewmm 2.10:

bool gtksourceview::SourceCompletionProposal::equal | ( | const Glib::RefPtr< const SourceCompletionProposal >& | other | ) | const

Get whether two proposal objects are the same.

This is used to (together with hash()) to match proposals in the completion model. By default, it uses direct equality.

Parameters:

  other | A SourceCompletionProposal.

Returns:
  `true` if a proposal and other are the same proposal.

Since gtksourceviewmm 2.10:

Glib::RefPtr<Gdk::Pixbuf> gtksourceview::SourceCompletionProposal::get_icon | ( |  | ) |

Gets the icon of a proposal.

Returns:
  The icon of a proposal.

Since gtksourceviewmm 2.10:

Glib::RefPtr<const Gdk::Pixbuf> gtksourceview::SourceCompletionProposal::get_icon | ( |  | ) | const

Gets the icon of a proposal.

Returns:
  The icon of a proposal.

Since gtksourceviewmm 2.10:

Glib::ustring gtksourceview::SourceCompletionProposal::get_info | ( |  | ) | const

Gets extra information associated to the proposal.

This information will be used to present the user with extra, detailed information about the selected proposal.

Returns:
  The extra information of a proposal or empty string if no extra information is associated to a proposal.

Since gtksourceviewmm 2.10:

Glib::ustring gtksourceview::SourceCompletionProposal::get_label | ( |  | ) | const

Gets the label of a proposal.

The label is shown in the list of proposals as plain text. If you need any markup (such as bold or italic text), you have to implement get_markup().

Returns:
  The label of a proposal.

Since gtksourceviewmm 2.10:

Glib::ustring gtksourceview::SourceCompletionProposal::get_markup | ( |  | ) | const

Gets the label of a proposal with markup.

The label is shown in the list of proposals and may contain markup. This will be used instead of get_label() if implemented.

Returns:
  The label of a proposal with markup.

Since gtksourceviewmm 2.10:

Glib::ustring gtksourceview::SourceCompletionProposal::get_text | ( |  | ) | const

Gets the text of a proposal.

The text that is inserted into the text buffer when the proposal is activated by the default activation. You are free to implement a custom activation handler in the provider and not implement this function.

Returns:
  The text of a proposal.

Since gtksourceviewmm 2.10:

guint gtksourceview::SourceCompletionProposal::hash | ( |  | ) | const

Get the hash value of a proposal.

This is used to (together with equal()) to match proposals in the completion model. By default, it uses a direct hash.

Returns:
  The hash value of a proposal.

Since gtksourceviewmm 2.10:

Glib::SignalProxy0< void > gtksourceview::SourceCompletionProposal::signal_changed | ( |  | ) |

Emitted when the proposal has changed.

The completion popup will react to this by updating the shown information.

Since gtksourceviewmm 2.10:

Prototype:
  `void on_my_changed()`

## Friends And Related Function Documentation

Glib::RefPtr< gtksourceview::SourceCompletionProposal > wrap | ( | GtkSourceCompletionProposal * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.